import { RouteRecordRaw, createRouter, createWebHashHistory } from 'vue-router'
const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    redirect: "/Home"
  },
  {
    path: "/Home",
    name: "Home",
    children: [],
    component: () => import("/src/pages/Home/index.vue")
  },
  {
    path: "/:pathMatch(.*)*",
    name: "NotFound",
    children: [],
    component: () => import("/src/pages/NotFound/index.vue")
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes,
})

export default router
